Bug 10768 - problems starting, restarting with pump
problems starting, restarting with pump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-12 17:48 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:29:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-04-12 17:48:38 EDT
I have a system with two interfaces: eth0 static def to internal 192.168
network and eth1 dhcp attached to a cablemodem.

With rhl 6.1 + maint and kernel 2.2.12-30, everything works.  eth0 is
brought up at boot time, and eth1 is started via a script with uses
/etc/sysconfig/network-scripts/ifup eth1

With rhl 6.2 (kernel 2.2.14-5.0), this does not work ... it 'fails'

I have found that if I DO NOT start either interface at boot time and then
manually start eth1 first and then eth0, it does work.

However, if I then shutdwon the interfaces and try restarting them, it
fails again.

This "may" be something with pump OR it may be something with the kernel.
I tried updating the kernel on my 6.1 system to 2.2.14-5.0 and interface
initialization failed (as best as I can remember, in the same way).

Gene
Comment 1 ard 2000-04-26 10:21:59 EDT
All pump problems regarding 2.2.14 may exhibit this behaviour:
When doing a DHCP_REQ with a source address that should have been 0.0.0.0, it
seems to use the source address of the interface that is already up.
And usually the dhcp-server cannot route back a reply to the (usually local)ip
number...
Thus:
It sends a DHCP request with source 192.168.0.1 and destination 255.255.255.255,
instead of source 0.0.0.0; 192.168.0.1 is the address of my other ethernet card.
Comment 2 Lars Enstedt 2000-10-17 14:25:22 EDT
I am seeing the same problem with the 2.2.16-3 kernel.

The machine has three ethernetcards (of the same type) with eth1 and eth2 is having
static black addresses (rfc 1918) and eth0 is configured for dhcp. When the machine
does a DHCP_REQ the source IP address of that packet is set to the eth1 static IP
address instead of 0.0.0.0. If I remove the IP configurations for eth1 and eth2 it works
fine and is sending the DHCP_REQ with the IP source address of 0.0.0.0.

I have tried this with the following versions of pump:
pump-0.7.8-1   from RedHat 6.2 (which I am running)
pump-0.8.3-2   from RedHat 7.0 (src.rpm compiled then installed)
pump-0.8.4-1   from RawHide 1.0 (src.rpm compiled then installed)

I hope to se a fix on this soon. 
Perhaps Erik Troan <ewt@redhat.com> can get his teeth into this?
Comment 3 Lars Enstedt 2000-10-17 14:26:14 EDT
I am seeing the same problem with the 2.2.16-3 kernel.

The machine has three ethernetcards (of the same type) with eth1 and eth2 is having
static black addresses (rfc 1918) and eth0 is configured for dhcp. When the machine
does a DHCP_REQ the source IP address of that packet is set to the eth1 static IP
address instead of 0.0.0.0. If I remove the IP configurations for eth1 and eth2 it works
fine and is sending the DHCP_REQ with the IP source address of 0.0.0.0.

I have tried this with the following versions of pump with the same result.
pump-0.7.8-1   from RedHat 6.2 (which I am running)
pump-0.8.3-2   from RedHat 7.0 (src.rpm compiled then installed)
pump-0.8.4-1   from RawHide 1.0 (src.rpm compiled then installed)

I hope to se a fix on this soon. 
Perhaps Erik Troan <ewt@redhat.com> can get his teeth into this?
Comment 4 Elliot Lee 2001-07-19 13:56:01 EDT
Apologies for the unresponsiveness of the previous pump packager...

Please try the latest release, 6.2 is ancient.

Note You need to log in before you can comment on or make changes to this bug.